Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/browser.txt	(revision 6025)
@@ -119,5 +119,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<span class="required">*</span><span>Name of Faculty</span>
+  ...<span class="required">*</span><span>Name of faculty</span>
   ...
 
@@ -197,5 +197,5 @@
   >>> print browser.contents
   <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"...
-  ...<span class="required">*</span><span>Name of Department</span>
+  ...<span class="required">*</span><span>Name of department</span>
   ...
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 6025)
@@ -13,4 +13,5 @@
     # BBB
     from zope.app.component.hooks import getSite
+from zope.formlib.utility import setUpWidgets    
 from waeup.sirp.interfaces import IWAeUPObject
 from waeup.sirp.browser.interfaces import ITheme
@@ -84,4 +85,5 @@
     """
     grok.baseclass()
+    grok.template('default_waeup_display_form')
 
 class WAeUPEditFormPage(EditForm, UtilityView):
@@ -89,4 +91,10 @@
     """
     grok.baseclass()
+    grok.template('default_waeup_edit_form')
+    
+    def setUpWidgets(self,ignore_request=False):
+        super(WAeUPEditFormPage,self).setUpWidgets(ignore_request)
+        if self.widgets.get('title'):
+            self.widgets['title'].displayWidth = 80
 
 class WAeUPAddFormPage(AddForm,  UtilityView):
@@ -94,4 +102,5 @@
     """
     grok.baseclass()
+    grok.template('default_waeup_edit_form')
 
 class SiteLayout(WAeUPLayout):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6025)
@@ -1358,4 +1358,5 @@
     pnav = 1
     form_fields = grok.AutoFields(ICertificate)
+    grok.template('certificatepage')
 
     @property
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-gray1.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-gray1.css	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-gray1.css	(revision 6025)
@@ -103,4 +103,13 @@
 }
 
+form label span {
+  font-size: 100%;
+}
+
+td.label label span {
+  color: #222222;
+  font-weight: normal;
+}
+
 /* jquery-ui customizations */
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/certificatemanagepage.pt	(revision 6025)
@@ -29,5 +29,5 @@
    
 <div id="tab-1">        
-      <table class="form-fields">
+      <table class="zebra">
       <tbody>
       <tal:block repeat="widget view/widgets">
@@ -45,5 +45,5 @@
     		>*</span><span i18n:translate=""
     		tal:content="widget/label">label</span>
-    	</label>
+    	</label>:
           </td>
           <td class="field">
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt	(revision 6025)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_display_form.pt	(revision 6025)
@@ -0,0 +1,26 @@
+<h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+<table class="zebra">
+  <tbody>
+    <tal:block repeat="widget view/widgets">
+      <tr>
+        <td class="fieldname">
+          <tal:block content="widget/label"/>
+        </td>
+        <td>
+          <input tal:replace="structure widget" />
+        </td>
+      </tr>
+    </tal:block>
+  </tbody>
+  <tfoot>
+    <tr class="controls">
+      <td colspan="2" class="align-right">
+        <input tal:repeat="action view/actions"
+               tal:replace="structure action/render" />
+      </td>
+    </tr>
+  </tfoot>
+</table>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6025)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/default_waeup_edit_form.pt	(revision 6025)
@@ -0,0 +1,61 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+
+    <div i18n:translate="" tal:content="view/status">
+      Form status summary
+    </div>
+
+    <ul class="errors" tal:condition="view/errors">
+      <li tal:repeat="error view/error_views">
+         <span tal:replace="structure error">Error Type</span>
+      </li>
+    </ul>
+  </div>
+
+  <table class="zebra">
+    <tbody>
+      <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>:
+          </td>
+          <td class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+          </td>
+        </tr>
+      </tal:block>
+    </tbody>
+  </table>
+
+  <div id="actionsView">
+    <span class="actionButtons" tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </span>
+  </div>
+</form>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentmanagepage.pt	(revision 6025)
@@ -30,5 +30,5 @@
    
 <div id="tab-1">        
-      <table class="form-fields">
+      <table class="zebra">
       <tbody>
       <tal:block repeat="widget view/widgets">
@@ -46,5 +46,5 @@
     		>*</span><span i18n:translate=""
     		tal:content="widget/label">label</span>
-    	</label>
+    	</label>:
           </td>
           <td class="field">
@@ -74,4 +74,5 @@
     
 <div id="tab-2">  
+    <br />
     <table class="display dataTableManage">
       <thead>
@@ -110,4 +111,5 @@
 
 <div id="tab-3">  
+    <br />  
     <table class="display dataTableManage">
       <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/departmentpage.pt	(revision 6025)
@@ -9,5 +9,6 @@
     </ul>
     
-    <div id="tab-1">  
+    <div id="tab-1"> 
+    <br /> 
     <table class="display dataTable">
       <thead>
@@ -33,4 +34,5 @@
     </div> 
     <div id="tab-2">
+    <br />
     <table class="display dataTable">
       <thead>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/facultymanagepage.pt	(revision 6025)
@@ -29,5 +29,5 @@
    
 <div id="tab-1">        
-      <table class="form-fields">
+      <table class="zebra">
       <tbody>
       <tal:block repeat="widget view/widgets">
@@ -45,5 +45,5 @@
     		>*</span><span i18n:translate=""
     		tal:content="widget/label">label</span>
-    	</label>
+    	</label>:
           </td>
           <td class="field">
Index: main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6024)
+++ main/waeup.sirp/trunk/src/waeup/sirp/university/interfaces.py	(revision 6025)
@@ -27,5 +27,5 @@
 
     title = schema.TextLine(
-        title = u'Name of Faculty',
+        title = u'Name of faculty',
         default = u'Unnamed',
         required = True,
@@ -33,5 +33,5 @@
 
     title_prefix = schema.Choice(
-        title = u'Title prefix',
+        title = u'Name prefix',
         default = u'faculty',
         vocabulary = inst_types,
@@ -77,5 +77,5 @@
 
     title = schema.TextLine(
-        title = u'Name of Department',
+        title = u'Name of department',
         default = u'Unnamed',
         required = True,
@@ -83,5 +83,5 @@
 
     title_prefix = schema.Choice(
-        title = u'Title prefix',
+        title = u'Name prefix',
         vocabulary = inst_types,
         default = u'department',