Index: /main/waeup.sirp/trunk/setup.py
===================================================================
--- /main/waeup.sirp/trunk/setup.py	(revision 6027)
+++ /main/waeup.sirp/trunk/setup.py	(revision 6028)
@@ -17,5 +17,5 @@
     'zope.xmlpickle',
     'hurry.file',
-    'hurry.yui',
+    #'hurry.yui',
     'hurry.zoperesource',
     'zc.sourcefactory',
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/layout.py	(revision 6028)
@@ -2,5 +2,4 @@
 """
 import grok
-from hurry import yui
 from hurry.resource import mode
 from megrok.layout import Page, Layout, EditForm, DisplayForm, AddForm
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6028)
@@ -12,5 +12,4 @@
 import smtplib
 from email.mime.text import MIMEText
-from hurry import yui
 from hurry.workflow.interfaces import NoTransitionAvailableError
 from zope import schema
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/resources.py	(revision 6028)
@@ -22,5 +22,5 @@
 """Special JavaScript and CSS resources provided by waeup.sirp.
 """
-from hurry import yui
+#from hurry import yui
 from hurry.resource import Library, ResourceInclusion
 from hurry.jqueryui import jqueryui, base, blitzer, ui_lightness, humanity
@@ -194,7 +194,10 @@
 
 #: Register basic YUI based CSS as a resource.
+reset_fonts_grids = ResourceInclusion(
+    waeup_sirp, 'yuirfg.css')    
+    
 yuiapp_css = ResourceInclusion(
     waeup_sirp, 'yuiapp.css',
-    depends=[yui.reset_fonts_grids, yui.sam])
+    depends=[reset_fonts_grids])     
 
 #: Register basic WAeUP base CSS (which is based on ``yuiapp.css`` as a
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6028)
@@ -114,4 +114,56 @@
 }
 
+/* Action buttons */
+
+.yui-button {
+	display: -moz-inline-box;
+	display: inline-block;
+	vertical-align: text-bottom;
+}
+.yui-button .first-child {
+	display: block;
+	*display: inline-block;
+}
+.yui-button button, .yui-button a {
+	display: block;
+	*display: inline-block;
+	border: none;
+	margin: 0;
+}
+.yui-button button {
+	background-color: transparent;
+	*overflow: visible;
+	cursor: pointer;
+}
+.yui-button a {
+	text-decoration: none;
+}
+.yui-skin-sam .yui-button {
+	border-width: 1px 0;
+	border-style: solid;
+	border-color: #808080;
+	background: url(sprite.png) repeat-x 0 0;
+	margin: auto .25em;
+}
+.yui-skin-sam .yui-button .first-child {
+	border-width: 0 1px;
+	border-style: solid;
+	border-color: #808080;
+	margin: 0 -1px;
+	_margin: 0;
+}
+.yui-skin-sam .yui-button button, .yui-skin-sam .yui-button a {
+	padding: 0 10px;
+	font-size: 93%;
+	line-height: 2;
+	*line-height: 1.7;
+	min-height: 2em;
+	*min-height: auto;
+	color: #000;
+}
+.yui-skin-sam .yui-button a {
+	*line-height: 1.875;
+	*padding-bottom: 1px;
+}
 
 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-red1.css
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-red1.css	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeuptheme-red1.css	(revision 6028)
@@ -14,7 +14,10 @@
 
 .uni-logo {
-  background-image: url('logo_waeup.gif');
+  background-image: url("your-logo.gif");
+  background-position: 0 13px;
   background-repeat: no-repeat;
-  padding: 34px 50px;
-  background-position:0px 10px;
+  padding-bottom: 18px;
+  padding-left: 0;
+  padding-right: 135px;
+  padding-top: 40px;
 }
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/yuirfg.css
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/yuirfg.css	(revision 6028)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/static/yuirfg.css	(revision 6028)
@@ -0,0 +1,317 @@
+/*Copyright (c) 2009, Yahoo! Inc. All rights reserved.Code licensed under the BSD License:http://developer.yahoo.net/yui/license.txtversion: 2.7.0*/
+html {
+	color: #000;
+	background: #FFF;
+}
+body, div, dl, dt, dd, ul, ol, li, h1, h2, h3, h4, h5, h6, pre, code, form, fieldset, legend, input, button, textarea, p, blockquote, th, td {
+	margin: 0;
+	padding: 0;
+}
+table {
+	border-collapse: collapse;
+	border-spacing: 0;
+}
+fieldset, img {
+	border: 0;
+}
+address, caption, cite, code, dfn, em, strong, th, var, optgroup {
+	font-style: inherit;
+	font-weight: inherit;
+}
+del, ins {
+	text-decoration: none;
+}
+li {
+	list-style: none;
+}
+caption, th {
+	text-align: left;
+}
+h1, h2, h3, h4, h5, h6 {
+	font-size: 100%;
+	font-weight: normal;
+}
+q:before, q:after {
+	content: '';
+}
+abbr, acronym {
+	border: 0;
+	font-variant: normal;
+}
+sup {
+	vertical-align: baseline;
+}
+sub {
+	vertical-align: baseline;
+}
+legend {
+	color: #000;
+}
+input, button, textarea, select, optgroup, option {
+	font-family: inherit;
+	font-size: inherit;
+	font-style: inherit;
+	font-weight: inherit;
+}
+input, button, textarea, select {
+	*font-size: 100%;
+}
+body {
+	font: 13px/1.231 arial, helvetica, clean, sans-serif;
+	*font-size: small;
+	*font: x-small;
+}
+select, input, button, textarea, button {
+	font: 99% arial, helvetica, clean, sans-serif;
+}
+table {
+	font-size: inherit;
+	font: 100%;
+}
+pre, code, kbd, samp, tt {
+	font-family: monospace;
+	*font-size: 108%;
+	line-height: 100%;
+}
+body {
+	text-align: center;
+}
+#doc, #doc2, #doc3, #doc4, .yui-t1, .yui-t2, .yui-t3, .yui-t4, .yui-t5, .yui-t6, .yui-t7 {
+	margin: auto;
+	text-align: left;
+	width: 57.69em;
+	*width: 56.25em;
+}
+#doc2 {
+	width: 73.076em;
+	*width: 71.25em;
+}
+#doc3 {
+	margin: auto 10px;
+	width: auto;
+}
+#doc4 {
+	width: 74.923em;
+	*width: 73.05em;
+}
+.yui-b {
+	position: relative;
+}
+.yui-b {
+	_position: static;
+}
+#yui-main .yui-b {
+	position: static;
+}
+#yui-main, .yui-g .yui-u .yui-g {
+	width: 100%;
+}
+.yui-t1 #yui-main, .yui-t2 #yui-main, .yui-t3 #yui-main {
+	float: right;
+	margin-left: -25em;
+}
+.yui-t4 #yui-main, .yui-t5 #yui-main, .yui-t6 #yui-main {
+	float: left;
+	margin-right: -25em;
+}
+.yui-t1 .yui-b {
+	float: left;
+	width: 12.30769em;
+	*width: 12.00em;
+}
+.yui-t1 #yui-main .yui-b {
+	margin-left: 13.30769em;
+	*margin-left: 13.05em;
+}
+.yui-t2 .yui-b {
+	float: left;
+	width: 13.8461em;
+	*width: 13.50em;
+}
+.yui-t2 #yui-main .yui-b {
+	margin-left: 14.8461em;
+	*margin-left: 14.55em;
+}
+.yui-t3 .yui-b {
+	float: left;
+	width: 23.0769em;
+	*width: 22.50em;
+}
+.yui-t3 #yui-main .yui-b {
+	margin-left: 24.0769em;
+	*margin-left: 23.62em;
+}
+.yui-t4 .yui-b {
+	float: right;
+	width: 13.8456em;
+	*width: 13.50em;
+}
+.yui-t4 #yui-main .yui-b {
+	margin-right: 14.8456em;
+	*margin-right: 14.55em;
+}
+.yui-t5 .yui-b {
+	float: right;
+	width: 18.4615em;
+	*width: 18.00em;
+}
+.yui-t5 #yui-main .yui-b {
+	margin-right: 19.4615em;
+	*margin-right: 19.125em;
+}
+.yui-t6 .yui-b {
+	float: right;
+	width: 23.0769em;
+	*width: 22.50em;
+}
+.yui-t6 #yui-main .yui-b {
+	margin-right: 24.0769em;
+	*margin-right: 23.62em;
+}
+.yui-t7 #yui-main .yui-b {
+	display: block;
+	margin: 0 0 1em 0;
+}
+#yui-main .yui-b {
+	float: none;
+	width: auto;
+}
+.yui-gb .yui-u, .yui-g .yui-gb .yui-u, .yui-gb .yui-g, .yui-gb .yui-gb, .yui-gb .yui-gc, .yui-gb .yui-gd, .yui-gb .yui-ge, .yui-gb .yui-gf, .yui-gc .yui-u, .yui-gc .yui-g, .yui-gd .yui-u {
+	float: left;
+}
+.yui-g .yui-u, .yui-g .yui-g, .yui-g .yui-gb, .yui-g .yui-gc, .yui-g .yui-gd, .yui-g .yui-ge, .yui-g .yui-gf, .yui-gc .yui-u, .yui-gd .yui-g, .yui-g .yui-gc .yui-u, .yui-ge .yui-u, .yui-ge .yui-g, .yui-gf .yui-g, .yui-gf .yui-u {
+	float: right;
+}
+.yui-g div.first, .yui-gb div.first, .yui-gc div.first, .yui-gd div.first, .yui-ge div.first, .yui-gf div.first, .yui-g .yui-gc div.first, .yui-g .yui-ge div.first, .yui-gc div.first div.first {
+	float: left;
+}
+.yui-g .yui-u, .yui-g .yui-g, .yui-g .yui-gb, .yui-g .yui-gc, .yui-g .yui-gd, .yui-g .yui-ge, .yui-g .yui-gf {
+	width: 49.1%;
+}
+.yui-gb .yui-u, .yui-g .yui-gb .yui-u, .yui-gb .yui-g, .yui-gb .yui-gb, .yui-gb .yui-gc, .yui-gb .yui-gd, .yui-gb .yui-ge, .yui-gb .yui-gf, .yui-gc .yui-u, .yui-gc .yui-g, .yui-gd .yui-u {
+	width: 32%;
+	margin-left: 1.99%;
+}
+.yui-gb .yui-u {
+	*margin-left: 1.9%;
+	*width: 31.9%;
+}
+.yui-gc div.first, .yui-gd .yui-u {
+	width: 66%;
+}
+.yui-gd div.first {
+	width: 32%;
+}
+.yui-ge div.first, .yui-gf .yui-u {
+	width: 74.2%;
+}
+.yui-ge .yui-u, .yui-gf div.first {
+	width: 24%;
+}
+.yui-g .yui-gb div.first, .yui-gb div.first, .yui-gc div.first, .yui-gd div.first {
+	margin-left: 0;
+}
+.yui-g .yui-g .yui-u, .yui-gb .yui-g .yui-u, .yui-gc .yui-g .yui-u, .yui-gd .yui-g .yui-u, .yui-ge .yui-g .yui-u, .yui-gf .yui-g .yui-u {
+	width: 49%;
+	*width: 48.1%;
+	*margin-left: 0;
+}
+.yui-g .yui-g .yui-u {
+	width: 48.1%;
+}
+.yui-g .yui-gb div.first, .yui-gb .yui-gb div.first {
+	*margin-right: 0;
+	*width: 32%;
+	_width: 31.7%;
+}
+.yui-g .yui-gc div.first, .yui-gd .yui-g {
+	width: 66%;
+}
+.yui-gb .yui-g div.first {
+	*margin-right: 4%;
+	_margin-right: 1.3%;
+}
+.yui-gb .yui-gc div.first, .yui-gb .yui-gd div.first {
+	*margin-right: 0;
+}
+.yui-gb .yui-gb .yui-u, .yui-gb .yui-gc .yui-u {
+	*margin-left: 1.8%;
+	_margin-left: 4%;
+}
+.yui-g .yui-gb .yui-u {
+	_margin-left: 1.0%;
+}
+.yui-gb .yui-gd .yui-u {
+	*width: 66%;
+	_width: 61.2%;
+}
+.yui-gb .yui-gd div.first {
+	*width: 31%;
+	_width: 29.5%;
+}
+.yui-g .yui-gc .yui-u, .yui-gb .yui-gc .yui-u {
+	width: 32%;
+	_float: right;
+	margin-right: 0;
+	_margin-left: 0;
+}
+.yui-gb .yui-gc div.first {
+	width: 66%;
+	*float: left;
+	*margin-left: 0;
+}
+.yui-gb .yui-ge .yui-u, .yui-gb .yui-gf .yui-u {
+	margin: 0;
+}
+.yui-gb .yui-gb .yui-u {
+	_margin-left: .7%;
+}
+.yui-gb .yui-g div.first, .yui-gb .yui-gb div.first {
+	*margin-left: 0;
+}
+.yui-gc .yui-g .yui-u, .yui-gd .yui-g .yui-u {
+	*width: 48.1%;
+	*margin-left: 0;
+}
+.yui-gb .yui-gd div.first {
+	width: 32%;
+}
+.yui-g .yui-gd div.first {
+	_width: 29.9%;
+}
+.yui-ge .yui-g {
+	width: 24%;
+}
+.yui-gf .yui-g {
+	width: 74.2%;
+}
+.yui-gb .yui-ge div.yui-u, .yui-gb .yui-gf div.yui-u {
+	float: right;
+}
+.yui-gb .yui-ge div.first, .yui-gb .yui-gf div.first {
+	float: left;
+}
+.yui-gb .yui-ge .yui-u, .yui-gb .yui-gf div.first {
+	*width: 24%;
+	_width: 20%;
+}
+.yui-gb .yui-ge div.first, .yui-gb .yui-gf .yui-u {
+	*width: 73.5%;
+	_width: 65.5%;
+}
+.yui-ge div.first .yui-gd .yui-u {
+	width: 65%;
+}
+.yui-ge div.first .yui-gd div.first {
+	width: 32%;
+}
+#hd:after, #bd:after, #ft:after, .yui-g:after, .yui-gb:after, .yui-gc:after, .yui-gd:after, .yui-ge:after, .yui-gf:after {
+	content: ".";
+	display: block;
+	height: 0;
+	clear: both;
+	visibility: hidden;
+}
+#hd, #bd, #ft, .yui-g, .yui-gb, .yui-gc, .yui-gd, .yui-ge, .yui-gf {
+	zoom: 1;
+}
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/actionbutton.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/actionbutton.pt	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/actionbutton.pt	(revision 6028)
@@ -1,3 +1,3 @@
-<span class="yui-button yui-link-button">
+<span class="yui-button">
   <span class="first-child">
     <a href=""
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/addaction.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/addaction.pt	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/addaction.pt	(revision 6028)
@@ -1,5 +1,4 @@
-<span class="yui-button yui-link-button">
+<span class="yui-button">
   <span class="first-child">
-
     <a href=""
        tal:attributes="href viewlet/getTargetURL"
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/exportxmlaction.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/exportxmlaction.pt	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/exportxmlaction.pt	(revision 6028)
@@ -1,3 +1,3 @@
-<span class="yui-button yui-link-button" noclass="actionbarlink">
+<span class="yui-button" noclass="actionbarlink">
   <span class="first-child">
     <a href="" id="linkbutton1"
Index: in/waeup.sirp/trunk/src/waeup/sirp/browser/templates/gotofacultiesaction.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/gotofacultiesaction.pt	(revision 6027)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<span class="yui-button yui-link-button" noclass="actionbarlink">
-  <span class="first-child">
-    <a href="" id="linkbutton1"
-       tal:attributes="href python: view.url(
-		       context, 'faculties')">
-      <img alt="edit"
-	   tal:attributes="src static/actionicon_manage.png"/>
-    <span>Browse faculties</span></a>
-  </span>
-</span>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/importxmlaction.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/importxmlaction.pt	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/importxmlaction.pt	(revision 6028)
@@ -1,4 +1,4 @@
 <span tal:condition="viewlet/can_import"
-      class="yui-button yui-link-button" noclass="actionbarlink">
+      class="yui-button" noclass="actionbarlink">
   <span class="first-child">
     <a href="" id="linkbutton1"
Index: in/waeup.sirp/trunk/src/waeup/sirp/browser/templates/manageaction.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/manageaction.pt	(revision 6027)
+++ 	(revision )
@@ -1,9 +1,0 @@
-<span class="yui-button yui-link-button" noclass="actionbarlink">
-  <span class="first-child">
-    <a href="" id="linkbutton1"
-       tal:attributes="href python: view.url(context) + '/@@manage'">
-      <img alt="edit"
-	   tal:attributes="src static/actionicon_modify.png"/>
-    <span>Edit settings</span></a>
-  </span>
-</span>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 6027)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/browser/viewlets.py	(revision 6028)
@@ -3,5 +3,4 @@
 import grok
 
-from hurry import yui
 from zope.component import getMultiAdapter, queryAdapter
 from zope.interface import Interface