Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6061)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6063)
@@ -5,5 +5,5 @@
 ## $Id$
 ## 
-## Copyright (C) 2010 Uli Fouquet
+## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
 ## it under the terms of the GNU General Public License as published by
@@ -50,4 +50,6 @@
 from waeup.sirp.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget)
+    
+from waeup.sirp.widgets.restwidget import ReSTWidget    
 
 #from zope.formlib.objectwidget import ObjectWidget
@@ -235,4 +237,5 @@
     form_fields['startdate'].custom_widget = FriendlyDateDisplayWidget('le')
     form_fields['enddate'].custom_widget = FriendlyDateDisplayWidget('le')
+    form_fields['description'].custom_widget = ReSTWidget
 
     @property
@@ -245,9 +248,9 @@
         return self.title
 
-    def descriptionToHTML(self):
-        if self.context.description:
-            return ReST2HTML(self.context.description)
-        else:
-            return
+    #def descriptionToHTML(self):
+    #    if self.context.description:
+    #        return ReST2HTML(self.context.description)
+    #    else:
+    #        return
 
 class ManageApplicantsContainerActionButton(ManageActionButton):
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt	(revision 6061)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainerpage.pt	(revision 6063)
@@ -1,7 +1,7 @@
 <h2 tal:content="context/title">Title</h2>
 
-<div tal:content="structure view/descriptionToHTML">
-  Description
-</div>
+<span tal:replace="structure view/widgets/description">Title</span>
+
+<br />
 
 <table class="zebra">
@@ -19,8 +19,8 @@
       <tr>
         <td class="fieldname">
-          <tal:block content="python:widget.label"/>:
+          <tal:block replace="python:widget.label"/>:
         </td>
         <td class="field">
-          <input tal:replace="structure widget" />
+          <tal:block tal:replace="structure widget" />
         </td>
       </tr>
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6061)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/static/waeup-base.css	(revision 6063)
@@ -31,20 +31,20 @@
 }
 
-/* Define different styles for headlines in rendered restrucrured text */
-
-#h1 h1 {
+/* Define different styles for headlines in rendered restructured text */
+
+#rest h1 {
   font-size:130%;
 }
 
-#h2 h2 {
+#rest h2 {
   font-size:100%;
 }
 
-#h3 h3 {
+#rest h3 {
   font-size:100%;
 }
 
 
-#h4 h4 {
+#rest h4 {
   font-size:100%;
 }
Index: main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 6063)
+++ main/waeup.sirp/trunk/src/waeup/sirp/widgets/restwidget.py	(revision 6063)
@@ -0,0 +1,38 @@
+##
+## restwidget.py
+## 
+## Copyright (C) 2011 Uli Fouquet & Henrik Bettermann
+## This program is free software; you can redistribute it and/or modify
+## it under the terms of the GNU General Public License as published by
+## the Free Software Foundation; either version 2 of the License, or
+## (at your option) any later version.
+## 
+## This program is distributed in the hope that it will be useful,
+## but WITHOUT ANY WARRANTY; without even the implied warranty of
+## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+## GNU General Public License for more details.
+## 
+## You should have received a copy of the GNU General Public License
+## along with this program; if not, write to the Free Software
+## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+##
+"""A widget that renders restructured text. 
+"""
+from zope.formlib.textwidgets import TextWidget
+from zope.formlib.widget import renderElement, DisplayWidget
+from waeup.sirp.utils.helpers import ReST2HTML
+
+
+class ReSTWidget(DisplayWidget):
+    """Restructured Text widget.
+    """
+
+    def __call__(self):
+        if self._renderedValueSet():
+            value = self._data
+        else:
+            value = self.context.default
+        if value == self.context.missing_value:
+            return ""
+        return renderElement(u'div id="rest"',
+                             contents=ReST2HTML(value))