Index: main/waeup.sirp/trunk/src/waeup/sirp/app.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/app.py	(revision 6064)
+++ main/waeup.sirp/trunk/src/waeup/sirp/app.py	(revision 6065)
@@ -38,4 +38,42 @@
     skin=u'gray waeup theme'
     
+    # The default frontpage.
+    frontpage= """
+This is the default frontpage of the portal. 
+
+First thing to do after installation is to set a new 
+location for data files (imports/exports) in the 
+`Data Center <datacenter>`_
+
+1. Heading
+----------
+
+Text
+
+1.2 Heading
+...........
+
+Text
+
+2. Heading
+----------
+
+Text
+
+2.1 Heading
+...........
+
+Text
+
+2.2 Heading
+...........
+
+Text
+
+"""
+    
+    # The default title.
+    title=u'Welcome to the Student Information and Registration Portal of %s' % name
+    
     @property
     def logger(self):
@@ -58,8 +96,10 @@
         
     
-    def __init__(self, name=name, skin=skin, **kw):
+    def __init__(self, name=name, skin=skin, title=title, frontpage=frontpage, **kw):
         super(University, self).__init__(**kw)
         self.name = name
         self.skin = skin
+        self.title = title
+        self.frontpage = frontpage
         self.setup()
 
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6064)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/pages.py	(revision 6065)
@@ -41,4 +41,5 @@
 from waeup.sirp.university.catalog import search
 from waeup.sirp.university.vocabularies import course_levels
+from waeup.sirp.widgets.restwidget import ReSTWidget
 
 grok.context(IWAeUPObject)
@@ -110,5 +111,5 @@
 #
 
-class UniversityPage(WAeUPPage):
+class UniversityPage(WAeUPDisplayFormPage):
     """ The main university page.
     """
@@ -116,6 +117,16 @@
     grok.name('index')
     grok.context(IUniversity)
-    title = u'Welcome to SIRP'
     pnav = 0
+    
+    form_fields = grok.AutoFields(IUniversity)
+    form_fields['frontpage'].custom_widget = ReSTWidget
+
+    @property
+    def title(self):
+        return "Welcome"
+
+    @property
+    def label(self):
+        return self.context.title
 
 class Manage(WAeUPEditFormPage):
Index: main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt	(revision 6064)
+++ main/waeup.sirp/trunk/src/waeup/sirp/browser/templates/universitypage.pt	(revision 6065)
@@ -1,30 +1,3 @@
+<h2 tal:content="view/label">Title</h2>
 
-<h2> 
-  Welcome to the Student Information and Registration Portal of <span tal:replace="context/name">NAME</span>
-</h2>
-
-<p>
-  This is the default frontpage of the Student Information and Registration Portal
-  (SIRP) which is part of the West African eUniversity Project
-  (<a href="http://www.waeup.org/">WAeUP</a>).
-</p>
-
-<p>
-  First thing to do after installation is to set a new location
-  for data files (imports/exports) in the <a
-  href="datacenter">DataCenter</a>.
-</p>
-
-<p>
-  You can tweak the layout starting with the page template
-  <code>universitypage.pt</code> in
-  <code>waeup/sirp/browser/templates/</code>.
-</p>
-
-<!--
-    <div name="tableexample" class="yui-skin-sam">
-    <div tal:replace="structure view/table/renderHTML" />
-    </div>
--->
-
-
+<span tal:replace="structure view/widgets/frontpage">Frontpage</span>
Index: main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6064)
+++ main/waeup.sirp/trunk/src/waeup/sirp/interfaces.py	(revision 6065)
@@ -42,5 +42,10 @@
         )
 
-        
+    title = schema.TextLine(
+        title = u'Title of frontpage',
+        default = u'No Title',
+        required = False,
+        )
+
     skin = schema.Choice(
         title = u'Skin',
@@ -49,4 +54,10 @@
         required = True,
         )
+        
+    frontpage = schema.Text(
+        title = u'Human readable frontpage in reST format',
+        required = False,
+        default = u'This is the SIRP frontpage.'
+        )        
 
     faculties = Attribute("A container for faculties.")