Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6077)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6078)
@@ -4,5 +4,5 @@
 ## Started on  Sun Jun 27 11:03:10 2010 Uli Fouquet
 ## $Id$
-## 
+##
 ## Copyright (C) 2010 Uli Fouquet & Henrik Bettermann
 ## This program is free software; you can redistribute it and/or modify
@@ -10,10 +10,10 @@
 ## the Free Software Foundation; either version 2 of the License, or
 ## (at your option) any later version.
-## 
+##
 ## This program is distributed in the hope that it will be useful,
 ## but WITHOUT ANY WARRANTY; without even the implied warranty of
 ## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 ## GNU General Public License for more details.
-## 
+##
 ## You should have received a copy of the GNU General Public License
 ## along with this program; if not, write to the Free Software
@@ -51,6 +51,6 @@
 from waeup.sirp.widgets.datewidget import (
     FriendlyDateWidget, FriendlyDateDisplayWidget)
-    
-from waeup.sirp.widgets.restwidget import ReSTWidget    
+
+from waeup.sirp.widgets.restwidget import ReSTWidget
 
 #from zope.formlib.objectwidget import ObjectWidget
@@ -116,5 +116,5 @@
     taboneactions = ['Add applicants container', 'Remove selected','Cancel']
     subunits = 'Applicants Containers'
-    
+
     def update(self):
         tabs.need()
@@ -139,17 +139,17 @@
         if len(deleted):
             self.flash('Successfully removed: %s' % ', '.join(deleted))
-        self.redirect(self.url(self.context, '@@manage')+'#tab-1')    
-        return       
+        self.redirect(self.url(self.context, '@@manage')+'#tab-1')
+        return
 
     @grok.action('Add applicants container', validator=NullValidator)
     def addApplicantsContainer(self, **data):
         self.redirect(self.url(self.context, '@@add'))
-        return    
-        
+        return
+
     @grok.action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
-        return    
-    
+        return
+
 class ApplicantsContainerAddFormPage(WAeUPAddFormPage):
     grok.context(IApplicantsRoot)
@@ -160,10 +160,10 @@
     label = 'Add applicants container'
     pnav = 3
-    
+
     form_fields = grok.AutoFields(IApplicantsContainerAdd)
     form_fields['startdate'].custom_widget = FriendlyDateDisplayWidget('le')
     form_fields['enddate'].custom_widget = FriendlyDateDisplayWidget('le')
-    form_fields['description'].custom_widget = ReSTWidget    
-    
+    form_fields['description'].custom_widget = ReSTWidget
+
     @grok.action('Add applicants container')
     def addApplicantsContainer(self, **data):
@@ -174,5 +174,5 @@
         # Add new applicants container...
         provider = getUtility(IApplicantsContainerProvider,
-                              name=getattr(data['provider'], 
+                              name=getattr(data['provider'],
                                    'grokcore.component.directive.name'))
         container = provider.factory()
@@ -182,9 +182,9 @@
         self.redirect(self.url(self.context, u'@@manage')+'#tab-1')
         return
-        
+
     @grok.action('Cancel')
     def cancel(self, **data):
-        self.redirect(self.url(self.context))       
-      
+        self.redirect(self.url(self.context))
+
     #def getContainerProviders(self):
     #    """Get a list of applicants container providers.
@@ -221,5 +221,5 @@
     grok.context(IApplicantsRoot)
     title = u'Applicants'
-    
+
 class ApplicantsContainerBreadcrumb(Breadcrumb):
     """A breadcrumb for applicantscontainers.
@@ -230,5 +230,5 @@
     """Faculties-tab in primary navigation.
     """
-    
+
     grok.context(IWAeUPObject)
     grok.order(3)
@@ -293,5 +293,5 @@
         return "Manage applicants container: %s" % getattr(
             self.context, '__name__', 'unnamed')
-    
+
     @property
     def label(self):
@@ -311,5 +311,5 @@
         self.flash('Data saved.')
         return
-        
+
     @grok.action('Back')
     def cancel(self, **data):
@@ -323,5 +323,5 @@
 
     title = u'Login'
-    
+
     @property
     def label(self):
@@ -330,5 +330,5 @@
     pnav = 3
     prefix = u'APP'
-    
+
     def update(self, SUBMIT=None):
         self.ac_series = self.request.form.get('form.ac_series', None)
@@ -351,5 +351,5 @@
             applicant.access_code = pin
             self.context[pin] = applicant
-            
+
         # Assign current principal the owner role on created applicant
         # record
@@ -411,5 +411,5 @@
         self.redirect(self.url(self.context))
         return
-    
+
     def update(self):
         if self.context.locked: