Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6104)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6105)
@@ -159,7 +159,7 @@
         title = u'%s %s/%s' % (prefix.title, year, year + 1)
         if code in self.context.keys():
-            self.status = Invalid(
-                'Error: An applicants container for the same application '
-                'type and entrance year exists already in the database')
+            self.flash(
+                'An applicants container for the same application '
+                'type and entrance year exists already in the database.')
             return
         # Add new applicants container...
@@ -170,5 +170,5 @@
         container.title = title
         self.context[code] = container
-        self.flash('Added "%s".' % code)
+        self.flash('Added: "%s".' % code)
         self.redirect(self.url(self.context, u'@@manage')+'#tab-1')
         return
@@ -213,6 +213,5 @@
     pnav = 3
 
-    form_fields = grok.AutoFields(IApplicantsContainer)
-    # Use friendlier date widget...
+    form_fields = grok.AutoFields(IApplicantsContainer).omit('title')
     form_fields['startdate'].custom_widget = FriendlyDateDisplayWidget('le')
     form_fields['enddate'].custom_widget = FriendlyDateDisplayWidget('le')
@@ -237,5 +236,7 @@
     grok.name('manage')
     grok.template('form_manage_applicants_container')
-    form_fields = grok.AutoFields(IApplicantsContainer)
+    form_fields = grok.AutoFields(IApplicantsContainer).omit('title')
+    taboneactions = ['Save','Cancel']
+    tabtwoactions = ['Add applicant', 'Remove selected','Cancel']
     # Use friendlier date widget...
     form_fields['startdate'].custom_widget = FriendlyDateWidget('le')
@@ -264,8 +265,18 @@
         return
 
-    @grok.action('Back')
+    # ToDo: Show warning message before deletion
+    @grok.action('Remove selected')
+    def delApplicant(self, **data):
+        return self.flash('Removal of applicants is not yet implemented!')
+
+    @grok.action('Add applicant', validator=NullValidator)
+    def addApplicant(self, **data):
+        return self.flash('Manual addition of applicants not yet implemented!')
+
+    @grok.action('Cancel', validator=NullValidator)
     def cancel(self, **data):
         self.redirect(self.url(self.context))
         return
+
 
 class LoginApplicant(WAeUPPage):
@@ -290,5 +301,5 @@
 
         if self.request.principal.id == 'zope.anybody':
-            self.flash('Entered credentials are invalid')
+            self.flash('Entered credentials are invalid.')
             return
 
@@ -336,5 +347,5 @@
 
     def emitLockMessage(self):
-        self.flash('The requested form is locked (read-only)')
+        self.flash('The requested form is locked (read-only).')
         self.redirect(self.url(self.context))
         return
Index: main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_manage_applicants_container.pt
===================================================================
--- main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_manage_applicants_container.pt	(revision 6104)
+++ main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_manage_applicants_container.pt	(revision 6105)
@@ -21,76 +21,88 @@
   </div>
 
-
   <div id="tabs">
     <ul>
       <li><a href="#tab-1"><span>Settings</span></a></li>
-      <li><a href="#tab-2"><span>Contents</span></a></li>
+      <li><a href="#tab-2"><span>Applicants</span></a></li>
     </ul>
     <div id="tab-1">
-      <table class="form-fields">
-	<tbody>
-	  <tal:block repeat="widget view/widgets">
-	    <tal:condition condition="python:widget.name not in ['form.title']">
-	    <tr>
-	      <td class="label" tal:define="hint widget/hint">
-		<label tal:condition="python:hint"
-		       tal:attributes="for widget/name">
-		  <span class="required" tal:condition="widget/required"
-			>*</span><span i18n:translate=""
-			tal:content="widget/label">label</span>
-		</label>
-		<label tal:condition="python:not hint"
-		       tal:attributes="for widget/name">
-		  <span class="required" tal:condition="widget/required"
-			>*</span><span i18n:translate=""
-			tal:content="widget/label">label</span>
-		</label>
-	      </td>
-	      <td class="field">
-		<div class="widget" tal:content="structure widget">
-		  <input type="text" />
-		</div>
-		<div class="error" tal:condition="widget/error">
-		  <span tal:replace="structure widget/error">error</span>
-		</div>
-	      </td>
-	    </tr>
-	    </tal:condition>
-	  </tal:block>
-	</tbody>
-      </table>
+        <table class="zebra">
+        	<tbody>
+        	  <tal:block repeat="widget view/widgets">
+        	    <tr>
+        	      <td class="label" tal:define="hint widget/hint">
+            		<label tal:condition="python:hint"
+            		       tal:attributes="for widget/name">
+            		  <span class="required" tal:condition="widget/required"
+            			>*</span><span i18n:translate=""
+            			tal:content="widget/label">label</span>
+            		</label>
+            		<label tal:condition="python:not hint"
+            		       tal:attributes="for widget/name">
+            		  <span class="required" tal:condition="widget/required"
+            			>*</span><span i18n:translate=""
+            			tal:content="widget/label">label</span>
+            		</label>
+        	      </td>
+        	      <td class="field">
+            		<div class="widget" tal:content="structure widget">
+            		  <input type="text" />
+            		</div>
+            		<div class="error" tal:condition="widget/error">
+            		  <span tal:replace="structure widget/error">error</span>
+            		</div>
+        	      </td>
+        	    </tr>
+        	  </tal:block>
+        	</tbody>
+        </table>
+        <div id="actionsView">
+            <span class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions"
+                      tal:omit-tag="">
+                  <input tal:condition="python:action.label in view.taboneactions"
+                         tal:replace="structure action/render"/>
+                </span>
+            </span>
+        </div>
     </div>
     <div id="tab-2">
-      <h3>Applications</h3>
+      <h3>Applicants</h3>
       <table id="datatable" class="display">
-	<thead>
-	  <tr>
-	    <th>ID</th><th>status</th>
-	  </tr>
-	</thead>
-	<tbody>
-	  <tr tal:repeat="appl context/values">
-	    <td>
-	      <a tal:attributes="href python: view.url(appl)"
-		 tal:content="appl/__name__">
-		ID
-	      </a>
-	    </td>
-	    <td>
-	      <span tal:condition="not: appl/locked">in progress</span>
-	      <span tal:condition="appl/locked">submitted</span>
-	    </td>
-	  </tr>
-	</tbody>
-      </table>
+    	<thead>
+    	  <tr>
+    	    <th>ID</th><th>status</th>
+    	  </tr>
+    	</thead>
+    	<tbody>
+    	  <tr tal:repeat="appl context/values">
+            <td>
+              <input type="checkbox"
+        		 name="val_id"
+        		 tal:attributes="value appl/_name_" />
+            </td>
+    	    <td>
+    	      <a tal:attributes="href python: view.url(appl)"
+    		      tal:content="appl/__name__">
+    		      ID
+    	      </a>
+    	    </td>
+    	    <td>
+    	      <span tal:condition="not: appl/locked">in progress</span>
+    	      <span tal:condition="appl/locked">submitted</span>
+    	    </td>
+    	  </tr>
+    	</tbody>
+    </table>
+    <div id="actionsView">
+        <span class="actionButtons" tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions"
+                  tal:omit-tag="">
+              <input tal:condition="python:action.label in view.tabtwoactions"
+                     tal:replace="structure action/render"/>
+            </span>
+        </span>
+    </div>
     </div>
   </div>
-
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
 </form>