Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6106)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6107)
@@ -89,5 +89,5 @@
     grok.context(IApplicantsRoot)
     grok.name('manage')
-    grok.template('applicantsrooteditpage')
+    grok.template('applicantsrootmanagepage')
     title = 'Applicants'
     label = 'Manage application section'
@@ -136,5 +136,5 @@
     grok.require('waeup.manageUniversity')
     grok.name('add')
-    grok.template('applicantscontaineraddformpage')
+    grok.template('applicantscontaineraddpage')
     title = 'Applicants'
     label = 'Add applicants container'
@@ -226,5 +226,5 @@
         return self.context.title
 
-class ManageApplicantsContainerActionButton(ManageActionButton):
+class ApplicantsContainerManageActionButton(ManageActionButton):
     grok.context(IApplicantsContainer)
     grok.view(ApplicantsContainerPage)
@@ -232,8 +232,8 @@
 
 
-class ManageApplicantsContainer(WAeUPEditFormPage):
+class ApplicantsContainerManageFormPage(WAeUPEditFormPage):
     grok.context(IApplicantsContainer)
     grok.name('manage')
-    grok.template('form_manage_applicants_container')
+    grok.template('applicantscontainermanagepage')
     form_fields = grok.AutoFields(IApplicantsContainer).omit('title')
     taboneactions = ['Save','Cancel']
@@ -257,5 +257,5 @@
         tabs.need()
         datatable.need()  # Enable jQurey datatables for contents listing
-        return super(ManageApplicantsContainer, self).update()
+        return super(ApplicantsContainerManageFormPage, self).update()
 
     @grok.action('Save')
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddformpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddformpage.pt	(revision 6106)
+++ 	(revision )
@@ -1,61 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="post"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
-      Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
-  </div>
-
-  <table class="zebra">
-    <tbody>
-        <tal:block repeat="widget view/widgets">
-        <tr>
-          <td class="label" tal:define="hint widget/hint">
-            <label tal:condition="python:hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>
-            </label>
-            <label tal:condition="python:not hint"
-                   tal:attributes="for widget/name">
-              <span class="required" tal:condition="widget/required"
-              >*</span><span i18n:translate=""
-                             tal:content="widget/label">label</span>:
-            </label>
-          </td>
-          <td class="field">
-            <div class="widget" tal:content="structure widget">
-              <input type="text" />
-            </div>
-            <div class="error" tal:condition="widget/error">
-              <span tal:replace="structure widget/error">error</span>
-            </div>
-          </td>
-        </tr>
-        </tal:block>
-    </tbody>
-  </table>
-
-  <div id="actionsView">
-    <span class="actionButtons" tal:condition="view/availableActions">
-      <input tal:repeat="action view/actions"
-             tal:replace="structure action/render"
-             />
-    </span>
-  </div>
-</form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6107)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontaineraddpage.pt	(revision 6107)
@@ -0,0 +1,61 @@
+<form action="." tal:attributes="action request/URL" method="post"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+
+    <div i18n:translate="" tal:content="view/status">
+      Form status summary
+    </div>
+
+    <ul class="errors" tal:condition="view/errors">
+      <li tal:repeat="error view/error_views">
+         <span tal:replace="structure error">Error Type</span>
+      </li>
+    </ul>
+  </div>
+
+  <table class="zebra">
+    <tbody>
+        <tal:block repeat="widget view/widgets">
+        <tr>
+          <td class="label" tal:define="hint widget/hint">
+            <label tal:condition="python:hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>
+            </label>
+            <label tal:condition="python:not hint"
+                   tal:attributes="for widget/name">
+              <span class="required" tal:condition="widget/required"
+              >*</span><span i18n:translate=""
+                             tal:content="widget/label">label</span>:
+            </label>
+          </td>
+          <td class="field">
+            <div class="widget" tal:content="structure widget">
+              <input type="text" />
+            </div>
+            <div class="error" tal:condition="widget/error">
+              <span tal:replace="structure widget/error">error</span>
+            </div>
+          </td>
+        </tr>
+        </tal:block>
+    </tbody>
+  </table>
+
+  <div id="actionsView">
+    <span class="actionButtons" tal:condition="view/availableActions">
+      <input tal:repeat="action view/actions"
+             tal:replace="structure action/render"
+             />
+    </span>
+  </div>
+</form>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6107)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6107)
@@ -0,0 +1,108 @@
+<form action="." tal:attributes="action request/URL" method="POST"
+      class="edit-form" enctype="multipart/form-data">
+
+  <h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+  <div class="form-status"
+    tal:define="status view/status"
+    tal:condition="status">
+
+    <div i18n:translate="" tal:content="view/status">
+      Form status summary
+    </div>
+
+    <ul class="errors" tal:condition="view/errors">
+      <li tal:repeat="error view/error_views">
+         <span tal:replace="structure error">Error Type</span>
+      </li>
+    </ul>
+  </div>
+
+  <div id="tabs">
+    <ul>
+      <li><a href="#tab-1"><span>Settings</span></a></li>
+      <li><a href="#tab-2"><span>Applicants</span></a></li>
+    </ul>
+    <div id="tab-1">
+        <table class="zebra">
+        	<tbody>
+        	  <tal:block repeat="widget view/widgets">
+        	    <tr>
+        	      <td class="label" tal:define="hint widget/hint">
+            		<label tal:condition="python:hint"
+            		       tal:attributes="for widget/name">
+            		  <span class="required" tal:condition="widget/required"
+            			>*</span><span i18n:translate=""
+            			tal:content="widget/label">label</span>
+            		</label>
+            		<label tal:condition="python:not hint"
+            		       tal:attributes="for widget/name">
+            		  <span class="required" tal:condition="widget/required"
+            			>*</span><span i18n:translate=""
+            			tal:content="widget/label">label</span>
+            		</label>
+        	      </td>
+        	      <td class="field">
+            		<div class="widget" tal:content="structure widget">
+            		  <input type="text" />
+            		</div>
+            		<div class="error" tal:condition="widget/error">
+            		  <span tal:replace="structure widget/error">error</span>
+            		</div>
+        	      </td>
+        	    </tr>
+        	  </tal:block>
+        	</tbody>
+        </table>
+        <div id="actionsView">
+            <span class="actionButtons" tal:condition="view/availableActions">
+                <span tal:repeat="action view/actions"
+                      tal:omit-tag="">
+                  <input tal:condition="python:action.label in view.taboneactions"
+                         tal:replace="structure action/render"/>
+                </span>
+            </span>
+        </div>
+    </div>
+    <div id="tab-2">
+      <h3>Applicants</h3>
+      <table id="datatable" class="display">
+    	<thead>
+    	  <tr>
+    	    <th>ID</th><th>status</th>
+    	  </tr>
+    	</thead>
+    	<tbody>
+    	  <tr tal:repeat="appl context/values">
+            <td>
+              <input type="checkbox"
+        		 name="val_id"
+        		 tal:attributes="value appl/_name_" />
+            </td>
+    	    <td>
+    	      <a tal:attributes="href python: view.url(appl)"
+    		      tal:content="appl/__name__">
+    		      ID
+    	      </a>
+    	    </td>
+    	    <td>
+    	      <span tal:condition="not: appl/locked">in progress</span>
+    	      <span tal:condition="appl/locked">submitted</span>
+    	    </td>
+    	  </tr>
+    	</tbody>
+    </table>
+    <div id="actionsView">
+        <span class="actionButtons" tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions"
+                  tal:omit-tag="">
+              <input tal:condition="python:action.label in view.tabtwoactions"
+                     tal:replace="structure action/render"/>
+            </span>
+        </span>
+    </div>
+    </div>
+  </div>
+</form>
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrooteditpage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrooteditpage.pt	(revision 6106)
+++ 	(revision )
@@ -1,71 +1,0 @@
-<h2 i18n:translate=""
-tal:condition="view/label"
-tal:content="view/label">Label</h2>
-
-<div class="form-status"
-tal:define="status view/status"
-tal:condition="status">
-
-<div i18n:translate="" tal:content="view/status">
-  Form status summary
-</div>
-
-<ul class="errors" tal:condition="view/errors">
-  <li tal:repeat="error view/error_views">
-     <span tal:replace="structure error">Error Type</span>
-  </li>
-</ul>
-</div>
-
-
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data"> 
-
-<div id="tabs">
-<ul>
-  <li><a href="#tab-1"><span tal:content="view/subunits">Contents</span></a></li>
-</ul>
-   
-<div id="tab-1">
-  <h3 tal:content="view/subunits">Applicants Containers</h3>
-  <table class="zebra">
-    <thead>
-      <tr>
-        <th>&nbsp;</th><th>Code</th><th>Title</th>
-      </tr>
-    </thead>
-    <tbody>
-      <tr tal:repeat="ac context/values">
-        <td>
-          <input type="checkbox"
-    		 name="val_id"
-    		 tal:attributes="value ac/__name__" />
-        </td>
-        <td>
-          <a tal:attributes="href python: view.url(ac)"
-    	     tal:content="ac/__name__">
-        	ID
-          </a>
-        </td>
-        <td>
-          <span tal:content="ac/title">
-    	   ID
-          </span>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-  
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.taboneactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>      
-  
-</div>
-</div>
-</form> 
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6107)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantsrootmanagepage.pt	(revision 6107)
@@ -0,0 +1,71 @@
+<h2 i18n:translate=""
+tal:condition="view/label"
+tal:content="view/label">Label</h2>
+
+<div class="form-status"
+tal:define="status view/status"
+tal:condition="status">
+
+<div i18n:translate="" tal:content="view/status">
+  Form status summary
+</div>
+
+<ul class="errors" tal:condition="view/errors">
+  <li tal:repeat="error view/error_views">
+     <span tal:replace="structure error">Error Type</span>
+  </li>
+</ul>
+</div>
+
+
+<form action="." tal:attributes="action request/URL" method="POST"
+      class="edit-form" enctype="multipart/form-data"> 
+
+<div id="tabs">
+<ul>
+  <li><a href="#tab-1"><span tal:content="view/subunits">Contents</span></a></li>
+</ul>
+   
+<div id="tab-1">
+  <h3 tal:content="view/subunits">Applicants Containers</h3>
+  <table class="zebra">
+    <thead>
+      <tr>
+        <th>&nbsp;</th><th>Code</th><th>Title</th>
+      </tr>
+    </thead>
+    <tbody>
+      <tr tal:repeat="ac context/values">
+        <td>
+          <input type="checkbox"
+    		 name="val_id"
+    		 tal:attributes="value ac/__name__" />
+        </td>
+        <td>
+          <a tal:attributes="href python: view.url(ac)"
+    	     tal:content="ac/__name__">
+        	ID
+          </a>
+        </td>
+        <td>
+          <span tal:content="ac/title">
+    	   ID
+          </span>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+  
+    <div id="actionsView">
+        <span class="actionButtons" tal:condition="view/availableActions">
+            <span tal:repeat="action view/actions"
+                  tal:omit-tag="">
+              <input tal:condition="python:action.label in view.taboneactions"
+                     tal:replace="structure action/render"/>
+            </span>
+        </span>
+    </div>      
+  
+</div>
+</div>
+</form> 
Index: in/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_manage_applicants_container.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/form_manage_applicants_container.pt	(revision 6106)
+++ 	(revision )
@@ -1,108 +1,0 @@
-<form action="." tal:attributes="action request/URL" method="POST"
-      class="edit-form" enctype="multipart/form-data">
-
-  <h2 i18n:translate=""
-    tal:condition="view/label"
-    tal:content="view/label">Label</h2>
-
-  <div class="form-status"
-    tal:define="status view/status"
-    tal:condition="status">
-
-    <div i18n:translate="" tal:content="view/status">
-      Form status summary
-    </div>
-
-    <ul class="errors" tal:condition="view/errors">
-      <li tal:repeat="error view/error_views">
-         <span tal:replace="structure error">Error Type</span>
-      </li>
-    </ul>
-  </div>
-
-  <div id="tabs">
-    <ul>
-      <li><a href="#tab-1"><span>Settings</span></a></li>
-      <li><a href="#tab-2"><span>Applicants</span></a></li>
-    </ul>
-    <div id="tab-1">
-        <table class="zebra">
-        	<tbody>
-        	  <tal:block repeat="widget view/widgets">
-        	    <tr>
-        	      <td class="label" tal:define="hint widget/hint">
-            		<label tal:condition="python:hint"
-            		       tal:attributes="for widget/name">
-            		  <span class="required" tal:condition="widget/required"
-            			>*</span><span i18n:translate=""
-            			tal:content="widget/label">label</span>
-            		</label>
-            		<label tal:condition="python:not hint"
-            		       tal:attributes="for widget/name">
-            		  <span class="required" tal:condition="widget/required"
-            			>*</span><span i18n:translate=""
-            			tal:content="widget/label">label</span>
-            		</label>
-        	      </td>
-        	      <td class="field">
-            		<div class="widget" tal:content="structure widget">
-            		  <input type="text" />
-            		</div>
-            		<div class="error" tal:condition="widget/error">
-            		  <span tal:replace="structure widget/error">error</span>
-            		</div>
-        	      </td>
-        	    </tr>
-        	  </tal:block>
-        	</tbody>
-        </table>
-        <div id="actionsView">
-            <span class="actionButtons" tal:condition="view/availableActions">
-                <span tal:repeat="action view/actions"
-                      tal:omit-tag="">
-                  <input tal:condition="python:action.label in view.taboneactions"
-                         tal:replace="structure action/render"/>
-                </span>
-            </span>
-        </div>
-    </div>
-    <div id="tab-2">
-      <h3>Applicants</h3>
-      <table id="datatable" class="display">
-    	<thead>
-    	  <tr>
-    	    <th>ID</th><th>status</th>
-    	  </tr>
-    	</thead>
-    	<tbody>
-    	  <tr tal:repeat="appl context/values">
-            <td>
-              <input type="checkbox"
-        		 name="val_id"
-        		 tal:attributes="value appl/_name_" />
-            </td>
-    	    <td>
-    	      <a tal:attributes="href python: view.url(appl)"
-    		      tal:content="appl/__name__">
-    		      ID
-    	      </a>
-    	    </td>
-    	    <td>
-    	      <span tal:condition="not: appl/locked">in progress</span>
-    	      <span tal:condition="appl/locked">submitted</span>
-    	    </td>
-    	  </tr>
-    	</tbody>
-    </table>
-    <div id="actionsView">
-        <span class="actionButtons" tal:condition="view/availableActions">
-            <span tal:repeat="action view/actions"
-                  tal:omit-tag="">
-              <input tal:condition="python:action.label in view.tabtwoactions"
-                     tal:replace="structure action/render"/>
-            </span>
-        </span>
-    </div>
-    </div>
-  </div>
-</form>