Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py	(revision 6109)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/authentication.py	(revision 6110)
@@ -137,5 +137,5 @@
 
     loginpagename = 'login'
-    accesscode_prefix_field = 'form.prefix'
+    accesscode_prefix_field = 'form.ac_prefix'
     accesscode_series_field = 'form.ac_series'
     accesscode_number_field = 'form.ac_number'
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6109)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser.py	(revision 6110)
@@ -148,6 +148,6 @@
     def update(self):
         datepicker.need() # Enable jQuery datepicker in date fields.
-        from waeup.sirp.browser.resources import jqueryui
-        jqueryui.need()
+        #from waeup.sirp.browser.resources import jqueryui
+        #jqueryui.need()
         return super(ApplicantsContainerAddFormPage, self).update()
 
@@ -285,12 +285,17 @@
     grok.require('zope.Public')
 
-    title = u'Login'
+    @property
+    def title(self):
+        return u"Applicant Login: %s" % self.context.title
 
     @property
     def label(self):
-        return self.title
-
-    pnav = 3
-    prefix = u'APP'
+        return u'Login for applicants only'
+
+    pnav = 3
+    
+    @property
+    def ac_prefix(self):
+        return self.context.ac_prefix
 
     def update(self, SUBMIT=None):
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6109)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/applicantscontainermanagepage.pt	(revision 6110)
@@ -72,5 +72,5 @@
     	<thead>
     	  <tr>
-    	    <th>ID</th><th>status</th>
+    	    <th>&nbsp;</th><th>ID</th><th>status</th>
     	  </tr>
     	</thead>
@@ -80,5 +80,5 @@
               <input type="checkbox"
         		 name="val_id"
-        		 tal:attributes="value appl/_name_" />
+        		 tal:attributes="value appl/__name__" />
             </td>
     	    <td>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/loginapplicant.pt
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/loginapplicant.pt	(revision 6109)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/browser_templates/loginapplicant.pt	(revision 6110)
@@ -1,23 +1,21 @@
-<h3>
-  Applicant login
-  <span tal:on-error="nothing">
-    (<span tal:replace="view/getCurrentSession">2010/2011</span>)
-  </span>
-</h3>
-<div>
-  This Login is for applicants only!
-</div>
+<h2 i18n:translate=""
+    tal:condition="view/label"
+    tal:content="view/label">Label</h2>
+
+
 <form method="POST">
+  <input type="hidden" name="form.ac_prefix"
+         value="" tal:attributes="value view/ac_prefix" />
   <table>
     <tbody>
       <tr>
-	<input type="hidden" name="form.prefix" value="APP" />
-	<td><label for="form.ac_series">Access Code</label></td>
-	<td>
-	  APP-<input name="form.ac_series" type="text" size="3" maxlength="3"
-	              value="" tal:attributes="value view/ac_series"
-	  />-<input name="form.ac_number" type="text" size="10" maxlength="10"
-	            value="" tal:attributes="value view/ac_number" />
-	</td>
+    	<td><label for="form.ac_series">Access Code:</label></td>
+    	<td>
+          <span tal:replace="view/ac_prefix">PIN Prefix</span>
+         -<input name="form.ac_series" type="text" size="3" maxlength="3"
+                  value="" tal:attributes="value view/ac_series"/>
+         -<input name="form.ac_number" type="text" size="10" maxlength="10"
+                value="" tal:attributes="value view/ac_number" />
+    	</td>
       </tr>
       <tr>
@@ -31,5 +29,5 @@
 
 <div>
-  Instructions:
+  <h3>Instructions:</h3>
   <ul class="list">
     <li>
@@ -46,4 +44,8 @@
       Press the 'Final Submit' button.
     </li>
+    <li>
+      After submission you won't be able to edit the data
+      but you can access and print this form again.
+    </li>
   </ul>
 </div>
Index: /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py
===================================================================
--- /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6109)
+++ /main/waeup.sirp/trunk/src/waeup/sirp/applicants/interfaces.py	(revision 6110)
@@ -195,4 +195,11 @@
         readonly = True,
         )
+        
+    ac_prefix = schema.Choice(
+        title = u'Access code prefix',
+        required = True,
+        default = None,
+        values = ['APP','CEST','PUME','PUDE'],
+        )
 
     description = schema.Text(